
require "luas.shortcuts"
require "luas.extendedLoader"


--HOT TODOS extended loader (enemy bounding box) -> DONE
--          globals: enemy container structure --
--          game + demo mode loading level (?) + enemy from level pictures + activate in container

ExplosionBig = Object:extend()

function ExplosionBig.new(self)

	self.active = false
	
	self.x = 0
	self.y = 0

	self.frames = {}
	
	self.anmStep       = 17 --use for index of frame (here set invalid)
	self.anmThresh     = 16

end

function ExplosionBig.activate(self, aPX, aPY)

	self.active = true

	self.x = aPX
	self.y = aPY
	self.anmStep = 1
	
	self.frames[1] = enmExplodeBigGph[1]
	self.frames[2] = enmExplodeBigGph[1]
	self.frames[3] = enmExplodeBigGph[1]
	self.frames[4] = enmExplodeBigGph[1]
	self.frames[5] = enmExplodeBigGph[2]
	self.frames[6] = enmExplodeBigGph[2]
	self.frames[7] = enmExplodeBigGph[2]
	self.frames[8] = enmExplodeBigGph[2]
	self.frames[9] = enmExplodeBigGph[3]
	self.frames[10] = enmExplodeBigGph[3]
	self.frames[11] = enmExplodeBigGph[3]
	self.frames[12] = enmExplodeBigGph[3]
	self.frames[13] = enmExplodeBigGph[4]
	self.frames[14] = enmExplodeBigGph[4]
	self.frames[15] = enmExplodeBigGph[4]
	self.frames[16] = enmExplodeBigGph[4]
	
end

function ExplosionBig.deactivate(self)

	self.active = false

	self.x = 0
	self.y = 0
	--self.explIndex = 0 --TODO that's inconsistent/Bug as self.explIndex doesnt exist elsewhere in this class/(at all?)
end

function ExplosionBig.doUpdate(self)

	if self.active then
		if self.anmStep <= self.anmThresh then
			self.anmStep = self.anmStep + 1
		end
	
		if self.anmStep > self.anmThresh then
			self.deactivate(self)
		end
	end
end

function ExplosionBig.draw(self)
	if self.active then
		lg.draw(self.frames[self.anmStep], self.x, self.y, 0, 1, 1)
	end
end
