
require "luas.shortcuts"
require "luas.extendedLoader"


--HOT TODOS extended loader (enemy bounding box) -> DONE
--          globals: enemy container structure --
--          game + demo mode loading level (?) + enemy from level pictures + activate in container

ExplosionMedium = Object:extend()

function ExplosionMedium.new(self)

	self.active = false
	
	self.x = 0
	self.y = 0

	self.frames = {}
	
	self.anmStep       = 13 --use for index of frame (here set invalid)
	self.anmThresh     = 12

end

function ExplosionMedium.activate(self, aPX, aPY)

	self.active = true

	self.x = aPX
	self.y = aPY
	self.anmStep = 1
	
	self.frames[1] = enmExplodeMediumGph[1]
	self.frames[2] = enmExplodeMediumGph[1]
	self.frames[3] = enmExplodeMediumGph[1]
	self.frames[4] = enmExplodeMediumGph[2]
	self.frames[5] = enmExplodeMediumGph[2]
	self.frames[6] = enmExplodeMediumGph[2]
	self.frames[7] = enmExplodeMediumGph[3]
	self.frames[8] = enmExplodeMediumGph[3]
	self.frames[9] = enmExplodeMediumGph[3]
	self.frames[10] = enmExplodeMediumGph[4]
	self.frames[11] = enmExplodeMediumGph[4]
	self.frames[12] = enmExplodeMediumGph[4]


	
end

function ExplosionMedium.deactivate(self)

	self.active = false

	self.x = 0
	self.y = 0
	--self.explIndex = 0 --TODO that's inconsistent/Bug as self.explIndex doesnt exist elsewhere in this class/(at all?)
end

function ExplosionMedium.doUpdate(self)

	if self.active then
		if self.anmStep <= self.anmThresh then
			self.anmStep = self.anmStep + 1
		end
	
		if self.anmStep > self.anmThresh then
			self.deactivate(self)
		end
	end
end

function ExplosionMedium.draw(self)
	if self.active then
		lg.draw(self.frames[self.anmStep], self.x, self.y, 0, 1, 1)
	end
end


