
require "luas.shortcuts"
require "luas.extendedLoader"


--HOT TODOS extended loader (enemy bounding box) -> DONE
--          globals: enemy container structure --
--          game + demo mode loading level (?) + enemy from level pictures + activate in container

Explosion1000 = Object:extend()

function Explosion1000.new(self)

	self.active = false
	
	self.x = 0
	self.y = 0

	self.frames = {}
	
	self.anmStep       = 1 
	self.anmProgress   = 0
	self.anmIndex      = 1
	self.anmIndexMax   = 2
	self.anmThresh     = 1
	
	self.deactivateTimer = 0
	self.deactivateTimerMax = 130

end

function Explosion1000.activate(self, aPX, aPY)

	self.active = true

	self.x = aPX
	self.y = aPY
	
	--reset
	self.anmStep       = 1 
	self.anmProgress   = 0
	self.anmIndex      = 1
	self.anmIndexMax   = 2
	self.anmThresh     = 1
	
	self.deactivateTimer = 0
	self.deactivateTimerMax = 130
	
	self.frames[1] = enmExplode1000Gph[1]
	self.frames[2] = enmExplode1000Gph[2]
end

function Explosion1000.deactivate(self)

	self.active = false

	self.x = 0
	self.y = 0
	--self.explIndex = 0 --TODO that's inconsistent/Bug as self.explIndex doesnt exist elsewhere in this class/(at all?)
end

function Explosion1000.doUpdate(self)

	if self.active then
		
		if self.deactivateTimer == 0 then
				--if globIsInDemoMode == false then 
					--bonus500Snd:stop()
					--bonus500Snd:play()
				--end
		end
		
		self.anmProgress = self.anmProgress + self.anmStep
			
		if self.anmProgress >= self.anmThresh then
			
			self.anmProgress = 0
			
			self.anmIndex = self.anmIndex + 1
				
			if self.anmIndex > self.anmIndexMax then
				self.anmIndex = 1
			end
		end
		
		--only display for so long
		self.deactivateTimer = self.deactivateTimer + 1
	
	
		if self.deactivateTimer >= self.deactivateTimerMax then
			self.deactivate(self)
		end
	end
end

function Explosion1000.draw(self)
	if self.active then
		lg.draw(self.frames[self.anmIndex], self.x, self.y, 0, 1, 1)
	end
end


